# Uses of Class
org.apache.lucene.search.Sort

Packages that use Sort
Package
Description
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.

## Uses of Sort in org.apache.lucene.index

Fields in org.apache.lucene.index declared as Sort
Modifier and Type
Field
Description
`protected Sort`
LiveIndexWriterConfig.`indexSort`
The sort order to use to write merged segments.
Methods in org.apache.lucene.index that return Sort
Modifier and Type
Method
Description
`Sort`
LiveIndexWriterConfig.`getIndexSort()`
Get the index-time `Sort` order, applied to all (flushed and merged) segments.
`Sort`
SegmentInfo.`getIndexSort()`
Return the sort order of this segment, or null if the index has no sort.
`Sort`
LeafMetaData.`sort()`
Returns the value of the `sort` record component.
Methods in org.apache.lucene.index with parameters of type Sort
Modifier and Type
Method
Description
`IndexWriterConfig`
IndexWriterConfig.`setIndexSort(Sort sort)`
Set the `Sort` order to use for all (flushed and merged) segments.
`static CheckIndex.Status.IndexSortStatus`
CheckIndex.`testSort(CodecReader reader, Sort sort, PrintStream infoStream, boolean failFast)`
Tests index sort order.
`static CodecReader`
SortingCodecReader.`wrap(CodecReader reader, Sorter.DocMap docMap, Sort sort)`
Expert: same as `SortingCodecReader.wrap(org.apache.lucene.index.CodecReader, Sort)` but operates directly on a `Sorter.DocMap`.
`static CodecReader`
SortingCodecReader.`wrap(CodecReader reader, Sort sort)`
Return a sorted view of `reader` according to the order defined by `sort` .
Constructors in org.apache.lucene.index with parameters of type Sort
Modifier
Constructor
Description
``
`LeafMetaData(int createdVersionMajor, Version minVersion, Sort sort, boolean hasBlocks)`
Expert: Sole constructor.
``
`SegmentInfo(Directory dir, Version version, Version minVersion, String name, int maxDoc, boolean isCompoundFile, boolean hasBlocks, Codec codec, Map<String,String> diagnostics, byte[] id, Map<String,String> attributes, Sort indexSort)`
Construct a new complete SegmentInfo instance from input.

## Uses of Sort in org.apache.lucene.search

Fields in org.apache.lucene.search declared as Sort
Modifier and Type
Field
Description
`static final Sort`
Sort.`INDEXORDER`
Represents sorting by index order.
`static final Sort`
Sort.`RELEVANCE`
Represents sorting by computed relevance.
Methods in org.apache.lucene.search that return Sort
Modifier and Type
Method
Description
`Sort`
Sort.`rewrite(IndexSearcher searcher)`
Rewrites the SortFields in this Sort, returning a new Sort if any of the fields changes during their rewriting.
Methods in org.apache.lucene.search with parameters of type Sort
Modifier and Type
Method
Description
`static TopFieldDocs`
TopDocs.`merge(Sort sort, int start, int topN, TopFieldDocs[] shardHits)`
Same as `TopDocs.merge(Sort, int, TopFieldDocs[])` but also ignores the top `start` top docs.
`static TopFieldDocs`
TopDocs.`merge(Sort sort, int start, int topN, TopFieldDocs[] shardHits, Comparator<ScoreDoc> tieBreaker)`
Pass in a custom tie breaker for ordering results
`static TopFieldDocs`
TopDocs.`merge(Sort sort, int topN, TopFieldDocs[] shardHits)`
Returns a new TopFieldDocs, containing topN results across the provided TopFieldDocs, sorting by the specified `Sort`.
`TopFieldDocs`
IndexSearcher.`search(Query query, int n, Sort sort)`
Search implementation with arbitrary sorting.
`TopFieldDocs`
IndexSearcher.`search(Query query, int n, Sort sort, boolean doDocScores)`
Search implementation with arbitrary sorting, plus control over whether hit scores and max score should be computed.
`TopDocs`
IndexSearcher.`searchAfter(ScoreDoc after, Query query, int n, Sort sort)`
Finds the top `n` hits for `query` where all results are after a previous result (`after`).
`TopFieldDocs`
IndexSearcher.`searchAfter(ScoreDoc after, Query query, int numHits, Sort sort, boolean doDocScores)`
Finds the top `n` hits for `query` where all results are after a previous result (`after`), allowing control over whether hit scores and max score should be computed.
Constructors in org.apache.lucene.search with parameters of type Sort
Modifier
Constructor
Description
``
`SortRescorer(Sort sort)`
Sole constructor.
``
`TopFieldCollectorManager(Sort sort, int numHits, int totalHitsThreshold)`
Creates a new `TopFieldCollectorManager` from the given arguments, with thread-safe internal states.
``
`TopFieldCollectorManager(Sort sort, int numHits, FieldDoc after, int totalHitsThreshold)`
Creates a new `TopFieldCollectorManager` from the given arguments, with thread-safe internal states.
``
`TopFieldCollectorManager(Sort sort, int numHits, FieldDoc after, int totalHitsThreshold, boolean supportsConcurrency)`
Creates a new `TopFieldCollectorManager` from the given arguments.